;;; oni-alert.el --- Alert configuration             -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2021.0527.224534
;; Package-Requires: (alert)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Alert configuration.

;;; Code:

(require 'alert)

(if (eql system-type 'windows-nt)
    (let ((emacs-icon (expand-file-name (concat "../share/emacs/" emacs-version "/etc/images/icons/hicolor/48x48/apps/emacs.png") invocation-directory)))
      (setq alert-default-icon emacs-icon)
      (setq alert-default-style 'toaster)
      (setq alert-toaster-command
            (car (cl-remove-if (lambda (loc) (not (file-exists-p loc)))
                           (list (expand-file-name "~/source/repos/toaster/toast/bin/Release/toast.exe")
                                 "U:/projects/toaster/toast/bin/Release/toast.exe"))))
      (setq alert-toaster-default-icon emacs-icon))
  (setq alert-default-style 'libnotify))

(provide 'oni-alert)
;;; oni-alert.el ends here
