;;; oni-autohotkey.el --- Configuration for AutoHotKey  -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2021.1123.002846
;; Package-Requires: (ahk-mode)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for editing AutoHotKey scripts. The following minor modes are
;; turned on in ‘ahk-mode’:

;; - ‘electric-pair-local-mode’
;; - ‘electric-indent-local-mode’

;;; Code:

(defun oni-autohotkey--auto-fill-mode ()
  "Enable ‘auto-fill-mode’ only for comments."
  (setq-local comment-auto-fill-only-comments t)
  (auto-fill-mode))

(add-hook 'ahk-mode-hook 'electric-pair-local-mode)
(add-hook 'ahk-mode-hook 'electric-indent-local-mode)
(add-hook 'ahk-mode-hook 'oni-autohotkey--auto-fill-mode)

(provide 'oni-autohotkey)
;;; oni-autohotkey.el ends here
