;;; oni-bookmark.el --- Bookmark configuration       -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2022.1112.172428
;; Package-Requires: (oni-data-dir)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Bookmark configuration. Add the following to your init file in case you want
;; to use this configuration:
;;
;;     (with-eval-after-load 'bookmark (require 'oni-bookmark))

;;; Code:

(require 'bookmark)
(require 'oni-data-dir)

;; Discovered through
;; https://github.com/novoid/dot-emacs/blob/23c28944f1991c636ea71ec7d5c3d266e6dbeb8a/config.org#bookmarks
(setq bookmark-save-flag 1)

(setq bookmark-default-file (oni-data-dir-locate "bookmarks"))

(provide 'oni-bookmark)
;;; oni-bookmark.el ends here
