;;; oni-data-dir.el --- Data dir configuration       -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2019.0904.210447

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Utilities for placing all state files in "data/" inside my
;; `user-emacs-directory'.

;;; Code:

(defconst oni-data-dir--name "data"
  "The name of the directory all data should live in.")

(defun oni-data-dir-locate (filename)
  "Return the location of FILENAME inside the data directory."
  (expand-file-name
   (concat user-emacs-directory oni-data-dir--name "/" filename)))

(provide 'oni-data-dir)
;;; oni-data-dir.el ends here
