;;; oni-diff-hl.el --- diff-hl configuration         -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2021.0921.232803
;; Package-Requires: (diff-hl)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for `diff-hl-mode'.

;;; Code:

(require 'diff-hl)

(defun oni:with-diff-hl-p4-args (orig-fun &rest args)
  "Add Perforce-specific command-line arguments to `diff-hl-mode'.

ORIG-FUN is the function being wrapped, ARGS are the arguments specified"
  (let ((p4-lowlevel-diff-switches '("-du0")))
    (apply orig-fun args)))

(with-eval-after-load 'vc-p4
  (add-function :around (symbol-function 'diff-hl-changes-buffer)
                #'oni:with-diff-hl-p4-args))

(provide 'oni-diff-hl)
;;; oni-diff-hl.el ends here
