;;; oni-dired.el --- Dired configuration             -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2021.1123.003414

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Dired configuration.

;;; Code:

(require 'dired)
(require 'dired-x)

(defun oni-dired--add-wdired-keybinding ()
  "Add a keybinding for ‘wdired-mode’."
  (define-key dired-mode-map (kbd "E") 'wdired-change-to-wdired-mode))

(setq dired-listing-switches "-alh")
(setq dired-subdir-switches "-Alh")
(setq dired-dwim-target t)

(add-hook 'dired-mode-hook #'oni-dired--add-wdired-keybinding)
(add-hook 'dired-mode-hook 'hl-line-mode)

(add-to-list 'dired-guess-shell-alist-user
             `(,(rx ".pdf" eos) "zathura"))

(add-to-list 'dired-guess-shell-alist-user
             `(,(rx (or ".jpg" ".jpeg" ".png" ".gif") eos) "feh"))

(provide 'oni-dired)
;;; oni-dired.el ends here
