;;; oni-embrace.el --- Configuration for embrace     -*- lexical-binding: t; -*-

;; Copyright (C) 2020  Tom Willemse

;; Author: Tom Willemse <chelys@rincewind>
;; Keywords: local
;; Version: 2022.0927.133444
;; Package-Requires: (embrace)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for embrace. Add the following to your init file in case you
;; want to use this configuration:
;;
;;     (with-eval-after-load 'embrace (require 'oni-embrace))

;;; Code:

(require 'embrace)

(defun oni-embrace-add-extra-pairs ()
  "Add extra pairs to the embrace pairs.
‘groovy-mode’ for example supports strings delimited by slashes
and triple-quoted strings."
  (embrace-add-pair ?/ "/" "/")
  (embrace-add-pair ?m "\"\"\"" "\"\"\"")
  (embrace-add-pair ?n "'''" "'''"))

(add-hook 'groovy-mode-hook #'oni-embrace-add-extra-pairs)

(provide 'oni-embrace)
;;; oni-embrace.el ends here
