;;; oni-emms.el --- Configuration for EMMS           -*- lexical-binding: t; -*-

;; Copyright (C) 2022  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2022.0826.220523
;; Package-Requires: (emms)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for EMMS. Loads and sets up EMMS to play CDs with MPV.

;;; Code:

(require 'emms)
(require 'emms-player-mpv)
(require 'emms-player-mpd)

(add-to-list 'emms-info-functions 'emms-info-mpd)

(add-to-list 'emms-player-list 'emms-player-mpv)
(add-to-list 'emms-player-list 'emms-player-mpd)

(setq emms-player-mpd-music-directory (expand-file-name "~/music"))

(provide 'oni-emms)
;;; oni-emms.el ends here
