;;; oni-fish.el --- Configuration for fish scripts   -*- lexical-binding: t; -*-

;; Copyright (C) 2020  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2021.1123.003540
;; Package-Requires: (fish-mode reformatter)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for writing Fish shell scripts.
;;
;; Defines a formatter using the ‘fish_indent’ executable.

;;; Code:

(require 'reformatter)

(reformatter-define oni-fish-fish-indent
  :program "fish_indent"
  :lighter ""
  :group 'oni-fish)

(add-hook 'fish-mode-hook 'oni-fish-fish-indent-on-save-mode)

(provide 'oni-fish)
;;; oni-fish.el ends here
