;;; oni-lui.el --- LUI configuration                 -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2021.0715.215705
;; Package-Requires: (circe)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for the Linewise User Interface package. Add the following to
;; you init file if you want to use this configuration:
;;
;;     (with-eval-after-load 'lui (require 'oni-lui))

;;; Code:

(require 'lui)

(defun oni-lui--set-margin-width ()
  "Set the margin width to 5."
  (setq right-margin-width 5))

(defun oni-lui--set-prompt-wrap-prefix ()
  "Set the wrap prefix to two spaces."
  (setq wrap-prefix "  "))

(with-eval-after-load 'lui
  (setq lui-time-stamp-position 'right-margin
        lui-time-stamp-format   "%H:%M"))

(add-hook 'lui-mode-hook #'oni-lui--set-margin-width)
(add-hook 'lui-mode-hook #'oni-lui--set-prompt-wrap-prefix)
(add-hook 'lui-mode-hook 'visual-line-mode)

(setq lui-fill-type nil)

(provide 'oni-lui)
;;; oni-lui.el ends here
