;;; oni-prescient.el --- Configuration for prescient  -*- lexical-binding: t; -*-

;; Copyright (C) 2020  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2021.0727.205126
;; Package-Requires: (prescient oni-data-dir)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Configuration for the ‘prescient’ package. It enables
;; ‘prescient-persist-mode’ and adds an idle timer that calls ‘prescient--save’
;; so that even when Emacs server crashes, the data is still persisted.

;;; Code:

(require 'oni-data-dir)
(require 'prescient)

(setq prescient-save-file (oni-data-dir-locate "prescient-save.el"))

(run-with-idle-timer 10 t 'prescient--save)

(prescient-persist-mode)

(provide 'oni-prescient)
;;; oni-prescient.el ends here
