;;; oni-slack.el --- Slack configuration             -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2019.0904.210819
;; Package-Requires: (slack oni-lui)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Slack configuration.

;;; Code:

(require 'slack)

(setq slack-prefer-current-team t)

(setq slack-buffer-function 'switch-to-buffer)

(slack-register-team :name "Picturefix"
                     :default t
                     :client-id oni:slack-client-id
                     :client-secret oni:slack-client-secret
                     :token oni:slack-token
                     :subscribed-channels
                     '(general picturefix random shirtlobby))

(provide 'oni-slack)
;;; oni-slack.el ends here
