;;; oni-ui.el --- Common UI settings                 -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2021.1123.003239
;; Package-Requires: (beacon diminish)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Common settings for UI, regardless of which type (GUI, TUI).

;;; Code:

(require 'beacon)
(require 'diminish)
(require 'tool-bar)

(with-eval-after-load 'beacon
  (diminish 'beacon-mode)
  (add-to-list 'beacon-dont-blink-major-modes 'circe-channel-mode))

(menu-bar-mode -1)
(tool-bar-mode -1)

(blink-cursor-mode -1)

(show-paren-mode)
(beacon-mode)

(setq inhibit-startup-screen t)

(provide 'oni-ui)
;;; oni-ui.el ends here
