;;; oni-vterm.el --- VTerm configuration             -*- lexical-binding: t; -*-

;; Copyright (C) 2020  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 2021.0715.215412
;; Package-Requires: (vterm)

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; My vterm configuration. Add the following to your init file if you want to
;; use this configuration:
;;
;;     (with-eval-after-load 'vterm (require 'oni-vterm))

;;; Code:

(require 'vterm)

(defun oni-vterm-disable-beacon-on-scroll ()
  "Disable ‘beacon-blink-when-window-scrolls’ in the current buffer."
  (setq-local beacon-blink-when-window-scrolls nil))

(add-hook 'vterm-mode-hook #'oni-vterm-disable-beacon-on-scroll)

(setq vterm-buffer-name-string "*vterm* %s")

(provide 'oni-vterm)
;;; oni-vterm.el ends here
