#!/usr/bin/env bats

@test "Loading counsel loads oni-counsel" {
    run emacs -batch -l package -f package-initialize \
        -l counsel \
        -eval "(prin1 (featurep 'oni-counsel))"

    echo "$output"

    [[ "$output" == *"t" ]]
}

@test "Loading counsel diminishes counsel-mode" {
    run emacs -batch -l package -f package-initialize -l subr-x \
        -l counsel \
        -eval "(prin1 (string-empty-p (car (alist-get 'counsel-mode minor-mode-alist))))"

    echo "$output"

    [[ "$output" == *"t" ]]
}

@test "Reloading counsel diminishes counsel-mode" {
    run emacs -batch -l package -f package-initialize -l subr-x \
        -l counsel \
        -eval "(load-library \"counsel\")" \
        -eval "(prin1 (string-empty-p (car (alist-get 'counsel-mode minor-mode-alist))))"

    echo "$output"

    [[ "$output" == *"t" ]]
}
