#!/usr/bin/env bats

@test "Opening a .cs file loads oni-csharp" {
    run emacs -batch -l package -f package-initialize \
        -visit test.cs \
        -eval "(prin1 (featurep 'oni-csharp))"

    echo "$output"

    [[ "$output" == *"t" ]]
}

@test "Opening a .xaml file loads nxml-mode" {
    run emacs -batch -l package -f package-initialize \
        -visit test.xaml \
        -eval "(prin1 major-mode)"

    echo "$output"

    [[ "$output" == *"nxml-mode" ]]
}

@test "Opening a .csproj file loads nxml-mode" {
    run emacs -batch -l package -f package-initialize \
        -visit test.csproj \
        -eval "(prin1 major-mode)"

    echo "$output"

    [[ "$output" == *"nxml-mode" ]]
}

@test "Opening a .proj fiile loads nxml-mode" {
    run emacs -batch -l package -f package-initialize \
        -visit test.proj \
        -eval "(prin1 major-mode)"

    echo "$output"

    [[ "$output" == *"nxml-mode" ]]
}

@test "Opening a .targets file loads nxml-mode" {
    run emacs -batch -l package -f package-initialize \
        -visit test.targets \
        -eval "(prin1 major-mode)"

    echo "$output"

    [[ "$output" == *"nxml-mode" ]]
}
