#!/usr/bin/env bats

@test "Opening a .org file loads oni-org" {
    run emacs -batch -l package -f package-initialize \
        -visit test.org \
        -eval "(prin1 (featurep 'oni-org))"

    echo "$output"

    [[ "$output" == *"t" ]]
}

@test "Loading org-edna diminishes org-edna-mode" {
    run emacs -batch -l package -f package-initialize -l subr-x \
        -l org-edna \
        -eval "(prin1 (string-empty-p (car (alist-get 'org-edna-mode minor-mode-alist))))"

    echo "$output"

    [[ "$output" == *"t" ]]
}

@test "Reloading org-edna diminishes org-edna-mode" {
    run emacs -batch -l package -f package-initialize -l subr-x \
        -l org-edna \
        -eval "(prin1 (string-empty-p (car (alist-get 'org-edna-mode minor-mode-alist))))"

    echo "$output"

    [[ "$output" == *"t" ]]
}
