#!/usr/bin/env bats

@test "Loading paredit loads oni-paredit" {
    run emacs -batch -l package -f package-initialize \
        -l paredit \
        -eval "(prin1 (featurep 'oni-paredit))"

    echo "$output"

    [[ "$output" == *"t" ]]
}

@test "Loading paredit diminishes paredit-mode" {
    run emacs -batch -l package -f package-initialize -l subr-x \
        -l paredit \
        -eval "(prin1 (string-empty-p (car (alist-get 'paredit-mode minor-mode-alist))))"

    echo "$output"

    [[ "$output" == *"t" ]]
}

@test "Reloading paredit diminishes paredit-mode" {
    run emacs -batch -l package -f package-initialize -l subr-x \
        -l paredit \
        -eval "(load-library \"paredit\")" \
        -eval "(prin1 (string-empty-p (car (alist-get 'paredit-mode minor-mode-alist))))"

    echo "$output"

    [[ "$output" == *"t" ]]
}
