#!/usr/bin/env bats

@test "Opening a .scm file loads oni-scheme" {
    run emacs -batch -l package -f package-initialize \
          -visit test.scm \
          -eval "(prin1 (featurep 'oni-scheme))"

    echo "$output"

    [[ "$output" == *"t" ]]
}

@test "Opening a file with the SCSH interpreter loads scheme-mode" {
    filename="$(mktemp)"

    echo "#!/usr/bin/scsh -s" > "$filename"

    run emacs -batch -l package -f package-initialize \
        -visit "$filename" \
        -eval "(prin1 major-mode)"

    rm "$filename"

    echo "$output"

    [[ "$output" == *"scheme-mode" ]]
}
