#!/usr/bin/env bats

@test "Loading yasnippet loads oni-yasnippet" {
    run emacs -batch -l package -f package-initialize \
        -l yasnippet \
        -eval "(prin1 (featurep 'oni-yasnippet))"

    echo "$output"

    [[ "$output" == *"t" ]]
}

@test "Loading yasnippet diminishes yas-minor-mode" {
    run emacs -batch -l package -f package-initialize -l subr-x \
        -l yasnippet \
        -eval "(prin1 (string-empty-p (car (alist-get 'yas-minor-mode minor-mode-alist))))"

    echo "$output"

    [[ "$output" == *"t" ]]
}

@test "Reloading yasnippet diminishes yas-minor-mode" {
    run emacs -batch -l package -f package-initialize -l subr-x \
        -l yasnippet \
        -eval "(load-library \"yasnippet\")" \
        -eval "(prin1 (string-empty-p (car (alist-get 'yas-minor-mode minor-mode-alist))))"

    echo "$output"

    [[ "$output" == *"t" ]]
}
